Attempting to install cmdlets

Nov 9, 2010 at 4:21 PM

I'm new to Powershell so I could use some help here.  I've followed the steps to install the cmdlets on my SCSM server, but when I run the PowerShell command (as Administrator) "Import-Module SMLetes", I get the error message "Import-Module is not recognized as a cmdlet, function, operable program or script file".  Please let me know what I am missing.

Thank you

Developer
Nov 9, 2010 at 10:12 PM

it looks like you're using version 1.0 of PowerShell, so you'll need to upgrade to PowerShell 2.0 to use this module.

check out: http://support.microsoft.com/kb/968929

to get you started on downloading PowerShell 2.0

 

jim

Nov 10, 2010 at 3:11 AM

Also, there is a typo in the documentation at that section, once you have PowerShell 2.0 running you should run "Import-Module SMLets" to import the cmdlets (no "e" between t and s")

Nov 10, 2010 at 1:35 PM

Thank you for your help.  Yes we are running 1.0, so I will talk with our tech support about updating the servers and then give it another go.

Thanks

Denise